export default defineNuxtConfig({
  ssr: true,
  future: {
    compatibilityVersion: 4,
  },

  nitro: {
    prerender: {
      routes: [
        '/',
        '/imp',
      ]
    }
  },

  css: [
    '~/assets/css/global.css',
    '~/assets/css/header.css',
    '~/assets/css/intro.css',
    '~/assets/css/skills.css',
    '~/assets/css/pricing.css',
    '~/assets/css/customers.css',
    '~/assets/css/services.css',
    '~/assets/css/footer.css',
    '~/assets/css/technology.css',
    '~/assets/css/person.css',
    '~/assets/css/button.css',
    '~/assets/css/spoiler.css',
  ],

  postcss: {
    plugins: {
      'postcss-nesting': { /* plugin options */ },
    },
  },

  routeRules: {
    '/': { prerender: true },
    '/imp': { prerender: true },
  },

  app: {
    pageTransition: {
      name: 'page',
      mode: 'out-in',
    },
    head: {
      htmlAttrs: { lang: 'de' },
      link: [
        { rel: 'preload', as: 'image', href: '/img/profile_big.webp', type: 'image/webp' },
        { rel: 'preload', as: 'image', href: '/img/profile_small.webp', type: 'image/webp' },
      ],
    }
  },

  modules: [
    '@nuxt/icon'
  ],

  icon: {
    customCollections: [
      {
        prefix: 'wf',
        dir: './app/assets/icons'
      }
    ],
    provider: 'iconify',
    serverBundle: 'local',
    clientBundle: {
      scan: true,
    },
  },

  compatibilityDate: '2024-12-04'
})